[arch-commits] Commit in swig3/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Aug 16 04:27:30 UTC 2019


    Date: Friday, August 16, 2019 @ 04:27:29
  Author: felixonmars
Revision: 499663

archrelease: copy trunk to community-x86_64

Added:
  swig3/repos/community-x86_64/PKGBUILD
    (from rev 499662, swig3/trunk/PKGBUILD)
Deleted:
  swig3/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   70 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 35 insertions(+), 35 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-16 04:27:20 UTC (rev 499662)
+++ PKGBUILD	2019-08-16 04:27:29 UTC (rev 499663)
@@ -1,35 +0,0 @@
-# Maintainer: Michael Hansen <zrax0111 gmail com>
-# Contributor: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
-
-pkgname=swig3
-_pkgname=swig
-pkgver=3.0.12
-pkgrel=1
-pkgdesc="Generate scripting interfaces to C/C++ code (Legacy 3.x version)"
-arch=('x86_64')
-url="http://www.swig.org/"
-license=('custom')
-depends=('pcre' 'gcc-libs')
-checkdepends=('ruby' 'python2' 'java-environment' 'tcl' 'php' 'lua' 'ocaml' 'r' 'go' 'python2-cffi' 'camlp4')
-source=(https://downloads.sourceforge.net/${_pkgname}/${_pkgname}-${pkgver}.tar.gz)
-sha1sums=('5cc1af41d041e4cc609580b99bb3dcf720effa25')
-
-build() {
-  cd ${_pkgname}-${pkgver}
-  ./configure --prefix=/usr --program-suffix="-3"
-  make
-}
-
-check() {
-  cd ${_pkgname}-${pkgver}
-  make check || warning "Tests failed"
-}
-
-package() {
-  cd ${_pkgname}-${pkgver}
-  make DESTDIR="${pkgdir}" install
-  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-  install -D -m644 LICENSE-UNIVERSITIES "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE-UNIVERSITIES
-}

Copied: swig3/repos/community-x86_64/PKGBUILD (from rev 499662, swig3/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-16 04:27:29 UTC (rev 499663)
@@ -0,0 +1,35 @@
+# Maintainer: Michael Hansen <zrax0111 gmail com>
+# Contributor: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=swig3
+_pkgname=swig
+pkgver=3.0.12
+pkgrel=2
+pkgdesc="Generate scripting interfaces to C/C++ code (Legacy 3.x version)"
+arch=('x86_64')
+url="http://www.swig.org/"
+license=('custom')
+depends=('pcre' 'gcc-libs')
+checkdepends=('ruby' 'python2' 'java-environment' 'tcl' 'php' 'lua' 'ocaml' 'r' 'go' 'python2-cffi' 'camlp4')
+source=(https://downloads.sourceforge.net/${_pkgname}/${_pkgname}-${pkgver}.tar.gz)
+sha1sums=('5cc1af41d041e4cc609580b99bb3dcf720effa25')
+
+build() {
+  cd ${_pkgname}-${pkgver}
+  ./configure --prefix=/usr --program-suffix="-3"
+  make
+}
+
+check() {
+  cd ${_pkgname}-${pkgver}
+  make check || warning "Tests failed"
+}
+
+package() {
+  cd ${_pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m644 LICENSE-UNIVERSITIES "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE-UNIVERSITIES
+}


More information about the arch-commits mailing list